- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::BlendColor Class Reference

Encapsulates OpenGL blend/transparency state. More...

Inheritance diagram for osg::BlendColor:

[legend]
List of all members.

## Public Member Functions
| BlendColor ()
| BlendColor (const BlendColor &trans, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, BlendColor, BLENDCOLOR)
virtual int | compare (const StateAttribute &sa) const
| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
virtual bool | getModeUsage (ModeUsage &usage) const
void | setConstantColor (const osg::Vec4 &color)
osg::Vec4 | getConstantColor () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.
## Static Public Member Functions
static Extensions * | getExtensions (unsigned int contextID, bool createIfNotInitalized)
| Returns the Extensions object for the given context.
static void | setExtensions (unsigned int contextID, Extensions *extensions)
| setExtensions() allows users to override the extensions across graphics contexts.
## Protected Member Functions
virtual | ~BlendColor ()
## Protected Attributes
osg::Vec4 | _constantColor
## Classes
class | Extensions
| Encapsulates queries of extension availability, obtains extension function pointers, and provides convinience wrappers for calling extension functions. More...

## Detailed Description

Encapsulates OpenGL blend/transparency state.

## Constructor & Destructor Documentation

BlendColor::BlendColor | ( |  | ) |

osg::BlendColor::BlendColor | ( | const BlendColor & | trans,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

BlendColor::~BlendColor | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void BlendColor::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::BlendColor::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

osg::Vec4 osg::BlendColor::getConstantColor | ( |  | ) | const`[inline]`

BlendColor::Extensions * BlendColor::getExtensions | ( | unsigned int | contextID,
|  | bool | createIfNotInitalized
| ) | `[static]`

| Returns the Extensions object for the given context. If createIfNotInitalized is true and the Exentsions object doesn't exist, getExtensions() creates it on the given context. Returns NULL if createIfNotInitalized is false and the Extensions object doesn't exist.

virtual bool osg::BlendColor::getModeUsage | ( | ModeUsage & | usage | ) | const`[inline, virtual]`

osg::BlendColor::META_StateAttribute | ( | osg | ,
|  | BlendColor | ,
|  | BLENDCOLOR |
| ) |

void osg::BlendColor::setConstantColor | ( | const osg::Vec4 & | color | ) | `[inline]`

void BlendColor::setExtensions | ( | unsigned int | contextID,
|  | Extensions * | extensions
| ) | `[static]`

| setExtensions() allows users to override the extensions across graphics contexts. Typically used when you have different extensions supported across graphics pipes, but need to ensure that they all use the same low common denominator extensions.

## Member Data Documentation

osg::Vec4 osg::BlendColor::_constantColor`[protected]`

The documentation for this class was generated from the following files:

- BlendColor
- BlendColor.cpp